Subject: Re: bug#37606: CI reports "failed" even if build succeeds

From: Marius Bakke <[email-masked]>
Date: Tue, 08 Oct 2019 21:40:52 +0200

Hartmut Goebel <[email-masked]> writes:

> Hi,
>
> I just stepped over <https://ci.guix.gnu.org/build/1781422/details>,
> which i reported as "failed". But wen looking at the log-file, this
> says: "@ build-succeeded
> /gnu/store/a8hakfaf7a41ywxrssqlscqgcn642lhc-python-django-allauth-0.39.1.drv".

This happens when the failure was non-deterministic, and the build has
later been restarted somehow.

Fixing it seems difficult, since we don't want Cuirass to evaluate the
derivation on every request.  Perhaps it could compare its own database
of failures with the daemon-cached failures?